Module jdk.compiler
Package com.sun.source.doctree

# Interface EscapeTree

All Superinterfaces:
  `DocTree`, `TextTree`

public interface EscapeTree extends TextTree
A tree node for a character represented by an escape sequence.

API Note:
  This class does not itself constrain the set of valid escape sequences, although the set may be effectively constrained to those defined in the Documentation Comment Specification for the Standard Doclet, including the following context-sensitive escape sequences:
  - `@@`, representing `@`, where it would otherwise be treated as introducing a block or inline tag,
  - `@/`, representing `/`, as part of `*@/` to represent `*/`, and
  - `@*`, representing `*`, where it would otherwise be discarded, after whitespace at the beginning of a line.
Since:
  21

## Nested Class Summary

## Nested classes/interfaces declared in interface com.sun.source.doctree.DocTree

`DocTree.Kind`

## Method Summary

Modifier and Type
Method
Description
`String`
`getBody()`
Returns the text.

### Methods declared in interface com.sun.source.doctree.DocTree

`accept, getKind`

## Method Details

### getBody

String getBody()
Returns the text.

Note: this method returns the escaped character, not the original escape sequence.

Specified by:
  `getBody` in interface `TextTree`
Returns:
  the text